From a39bc229ae258b04f4463c4cabfbe9f1c48ee7df Mon Sep 17 00:00:00 2001
From: kobarity <kobarity@gmail.com>
Date: Tue, 15 Aug 2023 22:27:45 +0900
Subject: [PATCH] Fix test in python-tests.el added by bug #62092

* test/lisp/progmodes/python-tests.el
(python-info-dedenter-opening-block-positions-6): Fix indentation.
(python-info-dedenter-opening-block-positions-7): Add calling
`should'.  Add RESTORE-POINT argument when calling
`python-tests-look-at'.
---
 test/lisp/progmodes/python-tests.el | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/test/lisp/progmodes/python-tests.el b/test/lisp/progmodes/python-tests.el
index 54e32cbf07b..9f935f2748c 100644
--- a/test/lisp/progmodes/python-tests.el
+++ b/test/lisp/progmodes/python-tests.el
@@ -5973,9 +5973,9 @@ python-info-dedenter-opening-block-positions-6
         else
 "
    (python-tests-look-at "else\n")
-    (should
-     (equal (list (python-tests-look-at "if (" -1 t))
-            (python-info-dedenter-opening-block-positions)))))
+   (should
+    (equal (list (python-tests-look-at "if (" -1 t))
+           (python-info-dedenter-opening-block-positions)))))
 
 (ert-deftest python-info-dedenter-opening-block-positions-7 ()
   "Test case blocks."
@@ -5993,9 +5993,9 @@ python-info-dedenter-opening-block-positions-7
    (python-tests-look-at "case 2:")
    (should-not (python-info-dedenter-opening-block-positions))
    (python-tests-look-at "case 3:")
-   (equal (list (python-tests-look-at "case 2:" -1)
-                (python-tests-look-at "case 1:" -1 t))
-            (python-info-dedenter-opening-block-positions))))
+   (should (equal (list (python-tests-look-at "case 2:" -1 t)
+                        (python-tests-look-at "case 1:" -1 t))
+                  (python-info-dedenter-opening-block-positions)))))
 
 (ert-deftest python-info-dedenter-opening-block-message-1 ()
   "Test dedenters inside strings are ignored."
-- 
2.34.1

